Private constructor for disallowing instantiation

- « IntlBreakIterator

- IntlBreakIterator::createCharacterInstance »

- PHP Manual
- IntlBreakIterator
- Private constructor for disallowing instantiation

# IntlBreakIterator::__construct

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

IntlBreakIterator::__construct — Private constructor for disallowing instantiation

### Description

private IntlBreakIterator::__construct()

IntlBreakIterator instances should be created by using one of the static factory methods.

### Parameters

This function has no parameters.

### Return Values

### See Also

- IntlBreakIterator::createCharacterInstance() - Create break iterator for boundaries of combining character sequences
- IntlBreakIterator::createCodePointInstance() - Create break iterator for boundaries of code points
- IntlBreakIterator::createLineInstance() - Create break iterator for logically possible line breaks
- IntlBreakIterator::createSentenceInstance() - Create break iterator for sentence breaks
- IntlBreakIterator::createTitleInstance() - Create break iterator for title-casing breaks
- IntlBreakIterator::createWordInstance() - Create break iterator for word breaks